Bug 472543 - Muting PCM channel on Intel HDA/Realtek ALC883 results in clicking
Muting PCM channel on Intel HDA/Realtek ALC883 results in clicking
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 12:04 EST by James Ettle
Modified: 2009-11-26 04:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-26 04:30:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
ALSA Project 4416 None None None Never

  None (edit)
Description James Ettle 2008-11-21 12:04:34 EST
Description of problem:
Muting the PCM channel by dragging the slider all the way down (e.g. in Gnome Volume Control or alsamixer) results not in silence, but clicking.

Version-Release number of selected component (if applicable):
pulseaudio-0.9.10-2.fc9.x86_64
alsa-utils-1.0.17-2.fc9.x86_64
alsa-lib-1.0.17-2.fc9.x86_64
alsa-lib-1.0.17-2.fc9.i386
kernel-2.6.27.6-43.fc9.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Start audio.
2. Open Gnome Volume Control.
3. Slide PCM down to the bottom.
  
Actual results:
Clicking.

Expected results:
Silence.
Comment 1 James Ettle 2008-12-29 09:30:16 EST
Still present with alsa-lib-1.0.18-6.rc3.fc10.x86_64.
Comment 2 James Ettle 2009-02-15 11:50:53 EST
Also under:
kernel-2.6.29-0.20.rc3.git12.fc10.x86_64
alsa-lib-1.0.19-2.fc10.x86_64
alsa-lib-1.0.19-2.fc10.i386
alsa-utils-1.0.19-2.fc10.x86_64
Comment 3 James Ettle 2009-05-25 07:53:19 EDT
Persists under:
kernel-2.6.29.3-159.fc11.x86_64 w/ ALSA drivers 1.0.20.0.g75fc7.0.gfb064
alsa-utils-1.0.20-3.fc11.x86_64
alsa-lib-1.0.20-1.fc11.x86_64
Comment 4 James Ettle 2009-08-23 09:53:46 EDT
Still there with kernel-2.6.30.5-32.fc11.x86_64, alsa-lib-1.0.20-1.fc11.x86_64. Could be a driver issue, reassigning to kernel.
Comment 5 James Ettle 2009-11-26 04:30:38 EST
Putting PulseAudio in the way mitigates this. The problem still exists, but is now somewhat moot so I doubt it will be fixed. Closing here, but keeping open in the ALSA tracker.

Note You need to log in before you can comment on or make changes to this bug.